%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_var_nu_svm
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_var_nu_svm.zip'
%Run program 'problem_var_nu_svm.m'
%=======================================================================

clc;
clear;
addpath('..');
%Load data:
load('.\problem_var_nu_svm_data.mat')
%Define input arguments:
risk={0.5, 'var_risk', 0.5, 'quadratic'};
w={0.5,[]};
H={H1,H2};

%Solve optimization problems:
[xout, fval, status, output] = riskprog(risk, w, H, [], [], [], [], [], [], [], lb, ub);

%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display function:
disp(sprintf('cvar_risk = %g', output.frval(1)));
disp(sprintf('quadratic = %g', output.frval(2)));
%Display optimal point:
disp('optimal point = ');
disp(xout);

